EasyPlayDeveloper
EndpointsLive events

Get live events for a club

GET
/live_events/club/{id}

Authorization

API Client JWT
AuthorizationBearer <token>

JWT issued by POST /api_clients/token (clientId + clientSecret).

In: header

Path Parameters

id*string

The ID of the club

Query Parameters

editedOrCancelled?boolean

Only return editedOrCancelled events

date?string

The date in ISO format

dateFrom?string

The date from in ISO format

dateTo?string

The date to in ISO format

Response Body

application/json

curl -X GET "https://example.com/live_events/club/abc123"
{  "club": {    "apiId": "67890",    "apiType": "FOTBALLDATA",    "hasRefereeModule": true,    "hasOptimizationAccess": false,    "isDemoClub": false,    "isDisabled": false,    "isLogoInStorage": true,    "logoUrl": "https://example.com/club-123/logo.png",    "name": "FC Awesome",    "packageType": "STANDARD",    "timeAdded": "2023-09-08T12:34:56Z",    "proTrialStartedAt": "2026-06-25T12:34:56Z",    "stripeAccountId": "acct_1234567890",    "stripeStatus": "pending",    "userName": "fcawesome",    "stripeFeePercentage": 10,    "id": "12345"  },  "liveEvents": [    {      "id": "string",      "activityType": "string",      "activityTypeName": "string",      "clubId": "string",      "endTime": "string",      "indexWeekday": 0,      "mainStadiumId": "string",      "mainStadiumName": "string",      "stadiumSize": "string",      "stadiumZone": "string",      "startTime": "string",      "tags": [        {          "tagKey": "tagKey",          "tagValue": "My tag"        }      ],      "teamId": "string",      "teamName": "string",      "title": "string",      "baneplanId": "baneplan-123",      "baneplanEventId": "baneplan-event-123",      "bookingId": "booking-123",      "date": "2023-08-15",      "editedEventId": "edited-event-123",      "status": "ACTIVE",      "isEdited": true,      "isEditedVersion": true,      "isMarkedAsCompleted": true,      "isCancelled": false,      "matchInfo": {        "apiType": "FOTBALLDATA",        "awayTeamClubId": "string",        "awayTeamContactPersonEmail": "string",        "awayTeamContactPersonName": "string",        "awayTeamContactPersonPhone": "string",        "awayTeamId": "string",        "awayTeamName": "string",        "homeTeamClubId": "string",        "homeTeamContactPesonEmail": "string",        "homeTeamContactPersonName": "string",        "homeTeamContactPersonPhone": "string",        "homeTeamId": "string",        "homeTeamName": "string",        "matchId": "string",        "matchLink": "string",        "refereePersonInfoHidden": true,        "refereeEmail": "string",        "refereeName": "string",        "refereeMobilePhone": "string",        "stadiumId": "string",        "stadiumName": "string",        "tournamentId": "string",        "tournamentName": "string",        "tournamentRoundNumber": "string",        "activityId": 207,        "playFormat": "9"      },      "originalDate": "2023-08-15",      "effectiveStadiumName": "Ullevaal Stadion",      "effectivePlayFormat": "9",      "isAnonymized": false    }  ]}